Bug 43293 - Can't order RHN subscription and another item type
Can't order RHN subscription and another item type
Status: CLOSED NOTABUG
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store (Show other bugs)
current
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cameron Prince
wbirkhea
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-02 16:44 EDT by Jay Turner
Modified: 2015-01-07 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-02 16:44:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2001-06-02 16:44:45 EDT
Description of Problem:
Purchasing a RHN subscription and another product type (software, service
packages) will result in only the RHN subscription getting written to
web_user_order and web_user_order_line.

How Reproducible:
Always

Steps to Reproduce:
1. Log into http://www.webqa.redhat.com/cgi-bin/store
2. Place a Deluxe boxed set in the cart
3. Then place a RHN subscription in the cart
4. Continue through the checkout, receiving an order number
5. Return to the store front and pull up the order history

Actual Results:
Order history will only show the RHN purchase.  In addition, taking a look
at the Oracle tables directly will show that the only thing which made it
to the tables was the RHN subscription . . . no Deluxe boxed set, no
shipping, no tax.

Expected Results:
All purchased items should appear in the order tables.

Additional Information:
Comment 1 Cameron Prince 2001-06-04 10:33:47 EDT
When purchasing subscriptions, one of the original requirements was that a
separate order must be generated. Therefore, the order contents show up under
two different order numbers in the web_user_order and web_user_order_line
tables. You may verify this by going to Order History after placing such an order.

Note You need to log in before you can comment on or make changes to this bug.